Bug 101389 - NFS client problems with 2.4.20 kernel series
NFS client problems with 2.4.20 kernel series
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
athlon Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-31 12:48 EDT by Stephen Walton
Modified: 2007-04-18 12:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Walton 2003-07-31 12:48:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
We have a Quantum SNAP server model 4100 acting as an NFS server to a number of
RH 8 clients.  Installing kernel 2.4.20-19.8 caused read errors on the clients.
 The problem seemed to only affect a directory containing a large number of
small text files, as opposed to another directory containing a similar number of
large files.  'grep'-ing for a string in the text files reliably caused I/O
errors.  I didn't see the problem when an RH8 server was serving an RH8 client.
 The SNAP server is running Quantum's latest version of its OS.

I'm certain the problem is the 2.4.20-19.8 kernel.  Backing up to either one of
RedHat's own 2.4.18 kernels or manually installing the stock 2.4.21 kernel built
with RedHat's configuration file fixed the problem.

I've verified the problem on Athlon, Athlon MP, Pentium 1 and Pentium 4
architectures.

Version-Release number of selected component (if applicable):
kernel-2.4.20-19.8

How reproducible:
Always

Steps to Reproduce:
1. Install 2.4.20-19.8 kernel on an RH8 system
2. Set up a Quantum SNAP server as an NFS server to the RH8 system
3. Populate a directory on the Quantum with a large number of text files.  I'm
using files a few KB in length each.
4. grep for a string in those text files.
    

Actual Results:  Repeated "input/output" error reports

Expected Results:  No such errors

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.